summaryrefslogtreecommitdiff
path: root/tests/touch/now-owned-by-other.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/now-owned-by-other.sh')
-rwxr-xr-xtests/touch/now-owned-by-other.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/touch/now-owned-by-other.sh b/tests/touch/now-owned-by-other.sh
index 3b5c36896..f5eeda604 100755
--- a/tests/touch/now-owned-by-other.sh
+++ b/tests/touch/now-owned-by-other.sh
@@ -30,6 +30,7 @@ chmod g+w root-owned
# Ensure that the current directory is searchable by $NON_ROOT_USERNAME.
chmod g+x .
-setuidgid $NON_ROOT_USERNAME env PATH="$PATH" touch -d now root-owned || fail=1
+chroot --user=$NON_ROOT_USERNAME / env PATH="$PATH" \
+ touch -d now root-owned || fail=1
Exit $fail